package CHAPTER05;

//Counter 클래스: 생성된 객체 수를 카운트하는 클래스
class Counter {

	static int count = 0; // static 변수 (클래스 변수, 모든 인스턴스가 공유)

	// 생성자: 객체가 생성될 때마다 count 증가
	Counter() {
		count++; // static 변수 증가 (모든 객체가 공유하는 변수)
		System.out.println("생성된 객체 수: " + count);
	}
}

//실행 클래스
public class C5_23_StaticVariable {
	public static void main(String[] args) {
		Counter c1 = new Counter(); // 객체 생성 → count 증가 (1)
		Counter c2 = new Counter(); // 객체 생성 → count 증가 (2)
		Counter c3 = new Counter(); // 객체 생성 → count 증가 (3)
	}
}
